%define _buildid .12

%global module_name backports.ssl_match_hostname

%{!?__python26: %global __python26 %{_bindir}/python26}
%{!?__python27: %global __python27 %{_bindir}/python27}

%{!?python26_sitelib: %global python26_sitelib %(%{__python26} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%{!?python27_sitelib: %global python27_sitelib %(%{__python27} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}


%{!?python26_sitearch: %global python26_sitearch %(%{__python26} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")}
%{!?python27_sitearch: %global python27_sitearch %(%{__python27} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")}

%define _desc The Secure Sockets layer is only actually secure if you check the hostname in\
the certificate returned by the server to which you are connecting, and verify\
that it matches to hostname that you are trying to reach.\
\
But the matching logic, defined in RFC2818, can be a bit tricky to implement on\
your own. So the ssl package in the Standard Library of Python 3.2 now includes\
a match_hostname() function for performing this check instead of requiring\
every application to implement the check separately.\
\
This backport brings match_hostname() to users of earlier versions of Python.\
The actual code inside comes verbatim from Python 3.2.

Name:           python-backports-ssl_match_hostname
Version:        3.4.0.2
Release: 1%{?_buildid}%{?dist}
Summary:        The ssl.match_hostname() function from Python 3

License:        Python
URL:            https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        http://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{_desc}

%package -n python26-backports-ssl_match_hostname
Summary:        The ssl.match_hostname() function from Python 3, packaged for Python 2.6
BuildRequires:  python26-devel python26-setuptools
Requires:       python26-backports
Obsoletes:      python-backports-ssl_match_hostname <= 3.4.0.2-1.5.amzn1
Provides:       python-backports-ssl_match_hostname = %{version}-%{release}

%description -n python26-backports-ssl_match_hostname
%{_desc}

This package is meant to be used with Python 2.6.


%package -n python27-backports-ssl_match_hostname
Summary:        The ssl.match_hostname() function from Python 3, packaged for Python 2.7
BuildRequires:  python27-devel python27-setuptools
Requires:       python27-backports

%description -n python27-backports-ssl_match_hostname
%{_desc}

This package is meant to be used with Python 2.7.


%prep
%setup -qn %{module_name}-%{version}
mv src/backports/ssl_match_hostname/README.txt ./
mv src/backports/ssl_match_hostname/LICENSE.txt ./


%build


%install
# Python 2.6
%{__python26} setup.py build
%{__python26} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{python26_sitelib}/backports/__init__.py*

%{__python26} setup.py clean
# end of Python 2.6 section

# Python 2.7
%{__python27} setup.py build
%{__python27} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{python27_sitelib}/backports/__init__.py*

%{__python27} setup.py clean
# end of Python 2.7 section

%files -n python26-backports-ssl_match_hostname
%doc README.txt LICENSE.txt
%{python26_sitelib}/*

%files -n python27-backports-ssl_match_hostname
%doc README.txt LICENSE.txt
%{python27_sitelib}/*


%changelog
* Wed Sep 17 2014 Rodrigo Novo <rodarvus@amazon.com>
- Move version-specific BuildRequires: into version-specific subpackages
- add clean target for python 2.7 as well

* Tue Sep 16 2014 Rodrigo Novo <rodarvus@amazon.com>
- Cleaned-up spec file Re: multiple descriptions

* Mon Sep 15 2014 Rodrigo Novo <rodarvus@amazon.com>
- Split package into Python 2.6 / Python 2.7 subpackages

* Wed Nov 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-backports-ssl_match_hostname-3.4.0.2-1.el6

* Sun Oct 27 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 3.4.0.2-1
- Update to upstream 3.4.0.2 for a security fix
- http://bugs.python.org/issue17997

* Wed Sep 18 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-backports-ssl_match_hostname-3.2-0.5.a3.el6

* Mon Sep 02 2013 Ian Weller <iweller@redhat.com> - 3.4.0.1-1
- Update to upstream 3.4.0.1

* Mon Aug 19 2013 Ian Weller <iweller@redhat.com> - 3.2-0.5.a3
- Use python-backports instead of providing backports/__init__.py

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-0.4.a3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 9 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-backports-ssl_match_hostname-3.2-0.3.a3.el6

* Mon May 20 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 3.2-0.3.a3
- Add patch for CVE 2013-2099 https://bugzilla.redhat.com/show_bug.cgi?id=963260

* Tue Apr 2 2013 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-backports-ssl_match_hostname-3.2-0.2.a3.el6
- setup complete for package python-backports-ssl_match_hostname

* Tue Feb 05 2013 Ian Weller <iweller@redhat.com> - 3.2-0.2.a3
- Fix Python issue 12000

* Fri Dec 07 2012 Ian Weller <iweller@redhat.com> - 3.2-0.1.a3
- Initial package build
